scim::Slot5< R, P1, P2, P3, P4, P5 > Class Template Referenceabstract
SignalSlot

Base class template for slots passing five arguments of type P1, P2, P3, P4 and P5, and returning a value of type R. More...

`#include <scim_slot.h>`

## Public Member Functions

virtual R | call (P1 p1, P2 p2, P3 p3, P4 p4, P5 p5) const =0
| Calls the signal handler connected to this slot.
R | operator() (P1 p1, P2 p2, P3 p3, P4 p4, P5 p5) const
| Function operator; Calls call().
Public Member Functions inherited from scim::ReferencedObject
bool | is_referenced () const
void | ref ()
| Increase an object's reference count by one.
void | unref ()

## Protected Member Functions

| Slot5 ()
Protected Member Functions inherited from scim::Slot
| Slot ()
| Constructor.
virtual | ~Slot ()=0
| Destructor.
Protected Member Functions inherited from scim::ReferencedObject
| ReferencedObject ()
| Constructor.
virtual | ~ReferencedObject ()=0
| Destructor.
void | set_referenced (bool reference)

## Detailed Description

template<typename R, typename P1, typename P2, typename P3, typename P4, typename P5>
class scim::Slot5< R, P1, P2, P3, P4, P5 >

Base class template for slots passing five arguments of type P1, P2, P3, P4 and P5, and returning a value of type R.

## Constructor & Destructor Documentation

## Slot5()

template<typename R, typename P1, typename P2, typename P3, typename P4, typename P5>

scim::Slot5< R, P1, P2, P3, P4, P5 >::Slot5 | ( |  | ) |

inline protected

## Member Function Documentation

## call()

template<typename R, typename P1, typename P2, typename P3, typename P4, typename P5>

virtual R scim::Slot5< R, P1, P2, P3, P4, P5 >::call | ( | P1 | p1,
|  | P2 | p2,
|  | P3 | p3,
|  | P4 | p4,
|  | P5 | p5 ) const

pure virtual

Calls the signal handler connected to this slot.

Implemented in scim::BoundSlot5_6< R, P1, P2, P3, P4, P5, P6 >, scim::FunctionSlot5< R, P1, P2, P3, P4, P5 >, scim::MethodSlot5< T, R, P1, P2, P3, P4, P5 >, and scim::SignalSlot5< T, R, P1, P2, P3, P4, P5 >.

Referenced by scim::Slot5< void, const HelperAgent *, int, const String &, int, int >::operator()().

## operator()()

template<typename R, typename P1, typename P2, typename P3, typename P4, typename P5>

R scim::Slot5< R, P1, P2, P3, P4, P5 >::operator() | ( | P1 | p1,
|  | P2 | p2,
|  | P3 | p3,
|  | P4 | p4,
|  | P5 | p5 ) const

inline

Function operator; Calls call().

The documentation for this class was generated from the following file:

- scim_slot.h